;*******************************************************************
;			File: define.h
;*******************************************************************


;this testing variable is for removing code that 
;will hamper troubleshooting during the simulation phase.

;#define	testing	1	;comment this line for production unit.

;*******************************************************************


	__config	H'3FF0'	;Configuration bits, see designer notes.
				;bit 13:4 CP          Code protection off (All = 1)
				;bit 3    /PWRTE      Power up timer enabled (0=enabled)
				;bit 2    WDTE        Watchdog timer disabled (0=disabled)
				;bit 1:0  FOSC1:FOSC0 00 = LP oscillator


;*******************************************************************
BEEPER	EQU	3	;Bit position 1:0 of port RA
;*******************************************************************
;Macro definitions
MCALL	EQU	0	;Use a Call in the macro
MGO	EQU	1	;Use a GO in the macro
;*******************************************************************

INTSPERSEC EQU	D'16'	;Interrupts per second
;*******************************************************************

;RAM is 68 x 8 

;BANK0 registers 0Ch-4Fh
temp_w	EQU	0Ch	;temporary working register holder
temp_s	EQU	0Dh	;temporary status register holder
TEMPW	EQU	0Eh	;for usde in FIXPLATH

SECONDS	EQU	10h	;holding register for Seconds
MINUTES	EQU	11h	;holding register for Minutes
PRECOUNT EQU	12h	;pre counter for interrupts per second
SEMAPHORE EQU	13h	;general purpose semaphore register for interprocess communication
			;bit 0= short beep
			;bit 1= long beep
			;BIT 2=SLEEP REQUEST
			
LEGCTR	EQU	14h	;Leg counter 


